<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTicketTypeToComplimentaryTicketsTable extends Migration
{
    public function up()
    {
        Schema::table('complimentary_tickets', function (Blueprint $table) {
            $table->enum('ticket_type', ['normal', 'vip'])->default('normal')->after('complimentary_code');
        });
    }

    public function down()
    {
        Schema::table('complimentary_tickets', function (Blueprint $table) {
            $table->dropColumn('ticket_type');
        });
    }
}
